> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete VM

> Delete virtual machine. Location-specific endpoint — optionally prefix path with /{slug}/.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json delete /user-resource/vm
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /user-resource/vm:
    delete:
      tags:
        - VM
      summary: Delete VM
      description: >-
        Delete virtual machine. Location-specific endpoint — optionally prefix
        path with /{slug}/.
      operationId: deleteVm
      parameters:
        - name: slug
          in: path
          required: false
          schema:
            type: string
          description: Optional location slug (e.g. cyc01)
          example: cyc01
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                uuid:
                  type: string
                  description: UUID of the virtual machine
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
              example:
                errors:
                  Error: >-
                    No such virtual machine exists.
                    aaaaaaaa-0000-bbbb-1111-cccccccccccc
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````